View Bug Details

IDProjectCategoryView StatusLast Update
0001806DCP-o-maticBugspublic2020-09-23 10:45
Reportercarl Assigned Tocarl  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version2.16.0 
Summary0001806: Bv2.1 [8.6] Add CompositionMetadata with [8.6.4] MCA Sub Descriptors
Description
  • IntrinsicDuration from reel
  • EditRate from picture element
  • FullContentTitleText (with optional language attribute) from GUI (seeded from the film name)
  • ReleaseTerritory RFC 5646 string from GUI
  • VersionNumber from GUI, defaulting to 1, with status (pre, temp, final) also from GUI
  • Chain from GUI, human readable
  • Distributor from GUI, human readable
  • Facility from GUI, human readable
  • AlternateContentVersionListlist of <ContentVersion>, with different IDs (including different to the <ContentVersion> in the CPL)
  • Luminance from GUI, authored luminance; units attribute either candela-per-square-metre or foot-lambert and the value a +ve decimal
  • MainSoundConfiguration from audio map (?)
  • MainSoundSampleRate from film (48000)
  • MainPictureStoredArea - width and height of container from film
  • MainPictureActiveArea - width and height of actual image - do we know this?
  • MainSubtitleLanguageList - 1:1 mapped to MainSubtitle asset language list
TagsNo tags attached.
Branch
Estimated weeks required
Estimated work requiredUndecided

Relationships

related to 0000782 closedcarl CPL metadata 
parent of 0001807 resolvedcarl Bv2.1 [8.6.2] Add <VersionNumber> 
child of 0001798 acknowledged Comply with (or at least warn about deviations from) SMPTE Bv2.1 application profile 

Activities

carl

2020-09-01 15:52

administrator   ~0003922

Last edited: 2020-09-06 23:30

View 3 revisions

Closed questions:

  • should languages be stored as LanguageTag, with non-confirming strings rejected, or stored as string but set as LanguageTag, or something else? Store as string, set as LanguageTag.

carl

2020-09-01 21:38

administrator   ~0003923

Last edited: 2020-09-21 00:20

View 15 revisions

To do:

  • more tests for MCA subdescriptors (writing MXF) - more-or-less done
  • check/tidy/merge cpl-metadata branches (libdcp & dcpomatic)

carl

2020-09-23 10:45

administrator   ~0003939

d97029163865e212dc3d7b3c57c16459933a11f6 and surrounding stuff.

Bug History

Date Modified Username Field Change
2020-08-18 19:54 carl New Bug
2020-08-18 19:54 carl Relationship added child of 0001798
2020-08-19 14:11 carl Relationship added parent of 0001807
2020-08-19 14:15 carl Description Updated View Revisions
2020-08-19 14:15 carl Estimated work required => Undecided
2020-08-19 14:20 carl Description Updated View Revisions
2020-08-19 14:25 carl Description Updated View Revisions
2020-09-01 15:52 carl Note Added: 0003922
2020-09-01 21:38 carl Note Added: 0003923
2020-09-01 21:39 carl Note Edited: 0003923 View Revisions
2020-09-01 21:47 carl Note Edited: 0003922 View Revisions
2020-09-01 21:47 carl Note Edited: 0003923 View Revisions
2020-09-01 21:52 carl Note Edited: 0003923 View Revisions
2020-09-01 21:53 carl Note Edited: 0003923 View Revisions
2020-09-01 21:54 carl Note Edited: 0003923 View Revisions
2020-09-01 21:54 carl Note Edited: 0003923 View Revisions
2020-09-01 21:54 carl Note Edited: 0003923 View Revisions
2020-09-01 22:13 carl Note Edited: 0003923 View Revisions
2020-09-01 23:17 carl Note Edited: 0003923 View Revisions
2020-09-02 20:11 carl Note Edited: 0003923 View Revisions
2020-09-05 22:42 carl Note Edited: 0003923 View Revisions
2020-09-06 21:06 carl Relationship added related to 0000782
2020-09-06 23:30 carl Note Edited: 0003923 View Revisions
2020-09-06 23:30 carl Note Edited: 0003922 View Revisions
2020-09-07 22:48 carl Note Edited: 0003923 View Revisions
2020-09-21 00:20 carl Note Edited: 0003923 View Revisions
2020-09-23 10:45 carl Assigned To => carl
2020-09-23 10:45 carl Status new => resolved
2020-09-23 10:45 carl Resolution open => fixed
2020-09-23 10:45 carl Note Added: 0003939